Loading...
Searching...
No Matches
Magick::DrawableTextAntialias Class Reference
Inheritance diagram for Magick::DrawableTextAntialias:

## Public Member Functions

| DrawableTextAntialias (bool flag_)
| DrawableTextAntialias (const DrawableTextAntialias &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | flag (bool flag_)
bool | flag (void) const

## Private Attributes

bool | _flag

## Detailed Description

Definition at line 2084 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextAntialias() [1/2]

Magick::DrawableTextAntialias::DrawableTextAntialias | ( | bool | flag_ | ) |

Definition at line 1519 of file Drawable.cpp.

: _flag(flag_)
{
}

## DrawableTextAntialias() [2/2]

Magick::DrawableTextAntialias::DrawableTextAntialias | ( | const DrawableTextAntialias & | original_ | ) |

Definition at line 1523 of file Drawable.cpp.

: DrawableBase (original_),
_flag(original_._flag)
{
}

## ~DrawableTextAntialias()

Magick::DrawableTextAntialias::~DrawableTextAntialias | ( | void |  | ) |

Definition at line 1528 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTextAntialias::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1537 of file Drawable.cpp.

{
return new DrawableTextAntialias(*this);
}

## flag() [1/2]

void Magick::DrawableTextAntialias::flag | ( | bool | flag_ | ) |

inline

Definition at line 2099 of file Drawable.h.

{
_flag = flag_;
}

## flag() [2/2]

bool Magick::DrawableTextAntialias::flag | ( | void |  | ) | const

inline

Definition at line 2103 of file Drawable.h.

{
return _flag;
}

## operator()()

void Magick::DrawableTextAntialias::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1531 of file Drawable.cpp.

{
DrawSetTextAntialias( context_, static_cast<MagickBooleanType>
(_flag ? MagickTrue : MagickFalse) );
}

## Field Documentation

## _flag

bool Magick::DrawableTextAntialias::_flag

private

Definition at line 2109 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp